Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1736871 - [abrt] davfs2: __strlen_avx2(): umount.davfs killed by SIGSEGV
Summary: [abrt] davfs2: __strlen_avx2(): umount.davfs killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: davfs2
Version: 30
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Felix Schwarz
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1ab4569e8239907b61a7f98679f...
: 1710968 1749057 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-02 08:53 UTC by Rudolf E. Steiner
Modified: 2020-01-12 01:15 UTC (History)
6 users (show)

Fixed In Version: davfs2-1.5.6-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-12 01:15:15 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (10.28 KB, text/plain)
2019-08-02 08:53 UTC, Rudolf E. Steiner
no flags Details
File: cgroup (331 bytes, text/plain)
2019-08-02 08:53 UTC, Rudolf E. Steiner
no flags Details
File: core_backtrace (972 bytes, text/plain)
2019-08-02 08:53 UTC, Rudolf E. Steiner
no flags Details
File: cpuinfo (1.73 KB, text/plain)
2019-08-02 08:53 UTC, Rudolf E. Steiner
no flags Details
File: dso_list (2.18 KB, text/plain)
2019-08-02 08:53 UTC, Rudolf E. Steiner
no flags Details
File: environ (3.41 KB, text/plain)
2019-08-02 08:53 UTC, Rudolf E. Steiner
no flags Details
File: exploitable (100 bytes, text/plain)
2019-08-02 08:53 UTC, Rudolf E. Steiner
no flags Details
File: limits (1.29 KB, text/plain)
2019-08-02 08:53 UTC, Rudolf E. Steiner
no flags Details
File: maps (14.62 KB, text/plain)
2019-08-02 08:53 UTC, Rudolf E. Steiner
no flags Details
File: mountinfo (3.55 KB, text/plain)
2019-08-02 08:53 UTC, Rudolf E. Steiner
no flags Details
File: open_fds (125 bytes, text/plain)
2019-08-02 08:53 UTC, Rudolf E. Steiner
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-08-02 08:53 UTC, Rudolf E. Steiner
no flags Details

Description Rudolf E. Steiner 2019-08-02 08:53:21 UTC
Description of problem:
unmounting a davfs-folder

Version-Release number of selected component:
davfs2-1.5.4-9.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /sbin/umount.davfs /home/res/ownCloud
crash_function: __strlen_avx2
executable:     /usr/sbin/umount.davfs
journald_cursor: s=ce8aa62e822744b9b82c0595804de973;i=2410f;b=8db2935d020846978c95736808f0942c;m=1f6ccf25;t=58f1e57eb43cf;x=9f2fa3cfabf72efb
kernel:         5.1.20-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 __strlen_avx2 at ../sysdeps/x86_64/multiarch/strlen-avx2.S:65
 #1 count_concat at ne_string.c:132
 #2 ne_concat at ne_string.c:179

Comment 1 Rudolf E. Steiner 2019-08-02 08:53:24 UTC
Created attachment 1599569 [details]
File: backtrace

Comment 2 Rudolf E. Steiner 2019-08-02 08:53:26 UTC
Created attachment 1599570 [details]
File: cgroup

Comment 3 Rudolf E. Steiner 2019-08-02 08:53:27 UTC
Created attachment 1599571 [details]
File: core_backtrace

Comment 4 Rudolf E. Steiner 2019-08-02 08:53:28 UTC
Created attachment 1599572 [details]
File: cpuinfo

Comment 5 Rudolf E. Steiner 2019-08-02 08:53:29 UTC
Created attachment 1599573 [details]
File: dso_list

Comment 6 Rudolf E. Steiner 2019-08-02 08:53:31 UTC
Created attachment 1599574 [details]
File: environ

Comment 7 Rudolf E. Steiner 2019-08-02 08:53:32 UTC
Created attachment 1599575 [details]
File: exploitable

Comment 8 Rudolf E. Steiner 2019-08-02 08:53:33 UTC
Created attachment 1599576 [details]
File: limits

Comment 9 Rudolf E. Steiner 2019-08-02 08:53:35 UTC
Created attachment 1599577 [details]
File: maps

Comment 10 Rudolf E. Steiner 2019-08-02 08:53:36 UTC
Created attachment 1599578 [details]
File: mountinfo

Comment 11 Rudolf E. Steiner 2019-08-02 08:53:38 UTC
Created attachment 1599579 [details]
File: open_fds

Comment 12 Rudolf E. Steiner 2019-08-02 08:53:39 UTC
Created attachment 1599580 [details]
File: proc_pid_status

Comment 13 Filipe Rosset 2019-08-05 04:22:32 UTC
I updated davfs2 to 1.5.5 for F31+

Let me know if its working fine for you, so I can go ahead and upgrade also for F30/F29 and maybe EPEL.

https://src.fedoraproject.org/rpms/davfs2/c/b5daac4efa37402af756931cd75ac5bb59ca214a?branch=master

https://koji.fedoraproject.org/koji/taskinfo?taskID=36799564

Comment 14 Rudolf E. Steiner 2019-08-05 08:15:19 UTC
With "davfs2-1.5.5-1.fc31.x86_64" there is no "SIGSEGV" anymore, but the command "umount <mountpoint>" does not do anything (the mountpoint will be still active).

Comment 15 Felix Schwarz 2019-11-28 09:09:29 UTC
Rudolf: if you are still seeing the problem with 1.5.5 I guess the best way to fix it is to create a support ticket upstream: http://savannah.nongnu.org/support/?group=davfs2

Comment 16 Felix Schwarz 2019-11-28 09:28:48 UTC
*** Bug 1749057 has been marked as a duplicate of this bug. ***

Comment 17 Felix Schwarz 2019-11-28 09:32:44 UTC
Filipe: I just noticed the comment by Mathias Habluetzel (https://bugzilla.redhat.com/show_bug.cgi?id=1710968#c3) who mentioned that we might be able to workaround this by using "-std=c89". Should submit a PR for this?

@everyone: I could create a COPR pretty quickly and push an updated build if there are some testers who are willing to try these builds.

Comment 18 Felix Schwarz 2019-11-28 09:38:20 UTC
Rudolf: I just noticed that you marked this bug as "private". This makes it harder for other users to collaborate on a solution. Would you mind if we remove the "mark as private"?

Comment 19 Rudolf E. Steiner 2019-11-28 09:42:00 UTC
Felix Schwarz wrote:

> Rudolf: if you are still seeing the problem with 1.5.5 I guess the
> best way to fix it is to create a support ticket upstream:
> http://savannah.nongnu.org/support/?group=davfs2

This has already been done by another user: http://savannah.nongnu.org/support/?110136

Comment 20 Rudolf E. Steiner 2019-11-28 09:47:31 UTC
Felix Schwarz wrote:

> Would you mind if we remove the "mark as private"?

No. Please make the report public!

Comment 21 Felix Schwarz 2019-11-28 09:47:44 UTC
Thanks for reporting back.

quoting upstream's Werner Baumann https://savannah.nongnu.org/bugs/?56286#comment5
> The bug is fixed in the CVS-sources. I intend to do a bugfix release soon, but first want to fix at least one other bug. 

Maybe it is the easiest thing to wait a bit more or someone would have to extract the patch from CVS (*shudder*) so Fedora could ship that one on top of 1.5.5.

Comment 22 Rudolf E. Steiner 2019-11-28 09:52:47 UTC
Felix Schwarz wrote:

> Maybe it is the easiest thing to wait a bit more

+1

Comment 23 Felix Schwarz 2019-12-17 23:12:00 UTC
making bug public as per comment 20

Comment 24 Felix Schwarz 2019-12-18 15:06:43 UTC
*** Bug 1710968 has been marked as a duplicate of this bug. ***

Comment 25 Fedora Update System 2019-12-28 10:39:32 UTC
FEDORA-2019-d671e74bd5 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d671e74bd5

Comment 26 Felix Schwarz 2019-12-28 10:40:52 UTC
taking bug - try the linked update from the updates-testing repo and give karma if this update fixes the bug for you.

If you are using Fedora 31 by now please check bug 1762083 (https://bodhi.fedoraproject.org/updates/FEDORA-2019-d2b5b244ee).

Comment 27 Rudolf E. Steiner 2019-12-28 11:31:25 UTC
It's working now ("davfs2-1.5.6-1.fc30.x86_64"). Thank you very much.

Comment 28 Fedora Update System 2020-01-04 21:17:54 UTC
davfs2-1.5.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d671e74bd5

Comment 29 Fedora Update System 2020-01-12 01:15:15 UTC
davfs2-1.5.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.